--[[ PlayerState.Lua

This file (should eventually) contain logic for player, party, and raid state.  This includes:

Responsibilities:
-Record the current solo/party/raid roster
-Record the current auras on each group member (filtered to auras of interest)
-Record aura choices/decisions/commitments of group members (aka pally1 cast kings on everyone)
-Track events related to roster changes
-Track events related to aura changes
-

Dependencies:
A reference to a watcher object, to which notifications will be sent
A reference to a constants object, which describes what auras should be monitored
A reference to a proxy object, which will forward wow events, and provide access to wow API calls

Architecture:
Built as a Lua list, with a custom metatable, ala "setmetatable(instance_of, {__index = master_object})"
Group members will probably be implemented each as a list, with a custom metatable for "GroupMemberType"
The master list will use the proxy for access to wow stuff (UnitAuras, AURA_CHANGE_EVENT, stuff like that)
the frame will notify the watcher, if significant states change
]]